View Issue Details

IDProjectCategoryView StatusLast Update
0020272LazarusLCLpublic2011-10-10 09:38
ReporterPierre CHAUVEAU Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version0.9.30 
Summary0020272: No interception of the LMSysCommand
DescriptionWith Lazarus 0.9.30 and Ubuntu 11.04, the following code :

...
uses
  ... LMessages, ... {add this unit}
 
...
  private
    { Private declarations }
    procedure LMSysCommand (var Msg: TLMSysCommand) ; message LM_SYSCOMMAND; public
...
 
procedure TForm1.LMSysCommand(var Msg: TLMSysCommand);
begin
  case Msg.CmdType of
   SC_RESTORE: ShowMessage('The windows is to be restored...');
   SC_MINIMIZE: ShowMessage('The windows is to be minimized...');
   SC_MAXIMIZE: ShowMessage('The windows is to be maximized...');
  end;
  DefaultHandler(Msg) ;
end;

compiles but does not work at run time.

I saw that this problem was solved in the issue : 0013442 and fixed in the 0.9.29 version.

So why it does not work in the 0.9.30 version ?
Additional InformationThis code works with WIndows XP replacing "L" by "W" in the names of variables and procedure.
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

Vincent Snijders

2011-09-16 10:29

manager   ~0051905

Issue 13442 is for win32/win64 widgetset.

Pierre CHAUVEAU

2011-09-16 11:17

reporter   ~0051909

OK, so, do you intend to do something for the Linux OS ?

Vincent Snijders

2011-09-16 11:44

manager   ~0051911

Me personally, I don't intend to do something about it. Others maybe.

I only gave an explanation why 13442 is resolved, while it doesn't work for you on Linux.

Pierre CHAUVEAU

2011-09-16 12:12

reporter   ~0051912

> I only gave an explanation why 13442 is resolved, while it doesn't work for you on Linux.
Thank you very much.

> Me personally, I don't intend to do something about it. Others maybe.
I am sorry, I don't know how you are organized, but, as a (the ?) manager, is it not you that attribute the issues to the developpers ?

Vincent Snijders

2011-09-16 13:14

manager   ~0051913

Assigning issues is what the developer does for himself.

The manager is more a manager of the bug tracker, not of the issues.

Stephano

2011-10-10 09:38

developer   ~0052816

Maybe unused/non working messages in non Windows platforms should be IFDEFed out?

It could save Lazarus users useless chasing of phantom bugs in their program.

Issue History

Date Modified Username Field Change
2011-09-16 10:16 Pierre CHAUVEAU New Issue
2011-09-16 10:29 Vincent Snijders Note Added: 0051905
2011-09-16 11:17 Pierre CHAUVEAU Note Added: 0051909
2011-09-16 11:44 Vincent Snijders Note Added: 0051911
2011-09-16 12:12 Pierre CHAUVEAU Note Added: 0051912
2011-09-16 13:14 Vincent Snijders Note Added: 0051913
2011-10-07 15:01 Vincent Snijders LazTarget => -
2011-10-07 15:01 Vincent Snijders Status new => acknowledged
2011-10-10 09:38 Stephano Note Added: 0052816